<?php



$tdatatb_mintrabalhados = array();
$tdatatb_mintrabalhados[".searchableFields"] = array();
$tdatatb_mintrabalhados[".ShortName"] = "tb_mintrabalhados";
$tdatatb_mintrabalhados[".OwnerID"] = "";
$tdatatb_mintrabalhados[".OriginalTable"] = "tb_mintrabalhados";


$tdatatb_mintrabalhados[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_mintrabalhados[".originalPagesByType"] = $tdatatb_mintrabalhados[".pagesByType"];
$tdatatb_mintrabalhados[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_mintrabalhados[".originalPages"] = $tdatatb_mintrabalhados[".pages"];
$tdatatb_mintrabalhados[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_mintrabalhados[".originalDefaultPages"] = $tdatatb_mintrabalhados[".defaultPages"];

//	field labels
$fieldLabelstb_mintrabalhados = array();
$fieldToolTipstb_mintrabalhados = array();
$pageTitlestb_mintrabalhados = array();
$placeHolderstb_mintrabalhados = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_mintrabalhados["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_mintrabalhados["Portuguese(Brazil)"] = array();
	$placeHolderstb_mintrabalhados["Portuguese(Brazil)"] = array();
	$pageTitlestb_mintrabalhados["Portuguese(Brazil)"] = array();
	$fieldLabelstb_mintrabalhados["Portuguese(Brazil)"]["mintrabID"] = "Mintrab ID";
	$fieldToolTipstb_mintrabalhados["Portuguese(Brazil)"]["mintrabID"] = "";
	$placeHolderstb_mintrabalhados["Portuguese(Brazil)"]["mintrabID"] = "";
	$fieldLabelstb_mintrabalhados["Portuguese(Brazil)"]["dias_mes"] = "Dias Mes";
	$fieldToolTipstb_mintrabalhados["Portuguese(Brazil)"]["dias_mes"] = "";
	$placeHolderstb_mintrabalhados["Portuguese(Brazil)"]["dias_mes"] = "";
	$fieldLabelstb_mintrabalhados["Portuguese(Brazil)"]["hrs_dia"] = "Hrs Dia";
	$fieldToolTipstb_mintrabalhados["Portuguese(Brazil)"]["hrs_dia"] = "";
	$placeHolderstb_mintrabalhados["Portuguese(Brazil)"]["hrs_dia"] = "";
	$fieldLabelstb_mintrabalhados["Portuguese(Brazil)"]["MtDia"] = "Mt Dia";
	$fieldToolTipstb_mintrabalhados["Portuguese(Brazil)"]["MtDia"] = "";
	$placeHolderstb_mintrabalhados["Portuguese(Brazil)"]["MtDia"] = "";
	$fieldLabelstb_mintrabalhados["Portuguese(Brazil)"]["MTmes"] = "MTmes";
	$fieldToolTipstb_mintrabalhados["Portuguese(Brazil)"]["MTmes"] = "";
	$placeHolderstb_mintrabalhados["Portuguese(Brazil)"]["MTmes"] = "";
	$fieldLabelstb_mintrabalhados["Portuguese(Brazil)"]["vigente"] = "Vigente";
	$fieldToolTipstb_mintrabalhados["Portuguese(Brazil)"]["vigente"] = "";
	$placeHolderstb_mintrabalhados["Portuguese(Brazil)"]["vigente"] = "";
	if (count($fieldToolTipstb_mintrabalhados["Portuguese(Brazil)"]))
		$tdatatb_mintrabalhados[".isUseToolTips"] = true;
}


	$tdatatb_mintrabalhados[".NCSearch"] = true;


	$tdatatb_mintrabalhados[".scrollGridBody"] = true;

$tdatatb_mintrabalhados[".shortTableName"] = "tb_mintrabalhados";
$tdatatb_mintrabalhados[".nSecOptions"] = 0;

$tdatatb_mintrabalhados[".mainTableOwnerID"] = "";
$tdatatb_mintrabalhados[".entityType"] = 0;

$tdatatb_mintrabalhados[".strOriginalTableName"] = "tb_mintrabalhados";

	



$tdatatb_mintrabalhados[".showAddInPopup"] = false;

$tdatatb_mintrabalhados[".showEditInPopup"] = false;

$tdatatb_mintrabalhados[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_mintrabalhados[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_mintrabalhados[".listAjax"] = false;
//	temporary
$tdatatb_mintrabalhados[".listAjax"] = false;

	$tdatatb_mintrabalhados[".audit"] = false;

	$tdatatb_mintrabalhados[".locking"] = false;


$pages = $tdatatb_mintrabalhados[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_mintrabalhados[".edit"] = true;
	$tdatatb_mintrabalhados[".afterEditAction"] = 0;
	$tdatatb_mintrabalhados[".closePopupAfterEdit"] = 1;
	$tdatatb_mintrabalhados[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_mintrabalhados[".add"] = true;
$tdatatb_mintrabalhados[".afterAddAction"] = 0;
$tdatatb_mintrabalhados[".closePopupAfterAdd"] = 1;
$tdatatb_mintrabalhados[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_mintrabalhados[".list"] = true;
}



$tdatatb_mintrabalhados[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_mintrabalhados[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_mintrabalhados[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_mintrabalhados[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_mintrabalhados[".printFriendly"] = true;
}



$tdatatb_mintrabalhados[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_mintrabalhados[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_mintrabalhados[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_mintrabalhados[".isUseAjaxSuggest"] = true;

$tdatatb_mintrabalhados[".rowHighlite"] = true;





$tdatatb_mintrabalhados[".ajaxCodeSnippetAdded"] = false;

$tdatatb_mintrabalhados[".buttonsAdded"] = false;

$tdatatb_mintrabalhados[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_mintrabalhados[".isUseTimeForSearch"] = false;


$tdatatb_mintrabalhados[".badgeColor"] = "9ACD32";


$tdatatb_mintrabalhados[".allSearchFields"] = array();
$tdatatb_mintrabalhados[".filterFields"] = array();
$tdatatb_mintrabalhados[".requiredSearchFields"] = array();

$tdatatb_mintrabalhados[".googleLikeFields"] = array();
$tdatatb_mintrabalhados[".googleLikeFields"][] = "mintrabID";
$tdatatb_mintrabalhados[".googleLikeFields"][] = "dias_mes";
$tdatatb_mintrabalhados[".googleLikeFields"][] = "hrs_dia";
$tdatatb_mintrabalhados[".googleLikeFields"][] = "MtDia";
$tdatatb_mintrabalhados[".googleLikeFields"][] = "MTmes";
$tdatatb_mintrabalhados[".googleLikeFields"][] = "vigente";



$tdatatb_mintrabalhados[".tableType"] = "list";

$tdatatb_mintrabalhados[".printerPageOrientation"] = 0;
$tdatatb_mintrabalhados[".nPrinterPageScale"] = 100;

$tdatatb_mintrabalhados[".nPrinterSplitRecords"] = 40;

$tdatatb_mintrabalhados[".geocodingEnabled"] = false;










$tdatatb_mintrabalhados[".pageSize"] = 20;

$tdatatb_mintrabalhados[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_mintrabalhados[".strOrderBy"] = $tstrOrderBy;

$tdatatb_mintrabalhados[".orderindexes"] = array();

$tdatatb_mintrabalhados[".sqlHead"] = "SELECT mintrabID,  	dias_mes,  	hrs_dia,  (hrs_dia *60) as MtDia,  (dias_mes*	hrs_dia*60) as MTmes,  	vigente";
$tdatatb_mintrabalhados[".sqlFrom"] = "FROM tb_mintrabalhados";
$tdatatb_mintrabalhados[".sqlWhereExpr"] = "";
$tdatatb_mintrabalhados[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_mintrabalhados[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_mintrabalhados[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_mintrabalhados[".highlightSearchResults"] = true;

$tableKeystb_mintrabalhados = array();
$tableKeystb_mintrabalhados[] = "mintrabID";
$tdatatb_mintrabalhados[".Keys"] = $tableKeystb_mintrabalhados;


$tdatatb_mintrabalhados[".hideMobileList"] = array();




//	mintrabID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "mintrabID";
	$fdata["GoodName"] = "mintrabID";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("tb_mintrabalhados","mintrabID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "mintrabID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "mintrabID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_mintrabalhados["mintrabID"] = $fdata;
		$tdatatb_mintrabalhados[".searchableFields"][] = "mintrabID";
//	dias_mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "dias_mes";
	$fdata["GoodName"] = "dias_mes";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("tb_mintrabalhados","dias_mes");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dias_mes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dias_mes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_mintrabalhados["dias_mes"] = $fdata;
		$tdatatb_mintrabalhados[".searchableFields"][] = "dias_mes";
//	hrs_dia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "hrs_dia";
	$fdata["GoodName"] = "hrs_dia";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("tb_mintrabalhados","hrs_dia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "hrs_dia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "hrs_dia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_mintrabalhados["hrs_dia"] = $fdata;
		$tdatatb_mintrabalhados[".searchableFields"][] = "hrs_dia";
//	MtDia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "MtDia";
	$fdata["GoodName"] = "MtDia";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_mintrabalhados","MtDia");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "MtDia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(hrs_dia *60)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_mintrabalhados["MtDia"] = $fdata;
		$tdatatb_mintrabalhados[".searchableFields"][] = "MtDia";
//	MTmes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "MTmes";
	$fdata["GoodName"] = "MTmes";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_mintrabalhados","MTmes");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "MTmes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(dias_mes*	hrs_dia*60)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_mintrabalhados["MTmes"] = $fdata;
		$tdatatb_mintrabalhados[".searchableFields"][] = "MTmes";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("tb_mintrabalhados","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_mintrabalhados["vigente"] = $fdata;
		$tdatatb_mintrabalhados[".searchableFields"][] = "vigente";


$tables_data["tb_mintrabalhados"]=&$tdatatb_mintrabalhados;
$field_labels["tb_mintrabalhados"] = &$fieldLabelstb_mintrabalhados;
$fieldToolTips["tb_mintrabalhados"] = &$fieldToolTipstb_mintrabalhados;
$placeHolders["tb_mintrabalhados"] = &$placeHolderstb_mintrabalhados;
$page_titles["tb_mintrabalhados"] = &$pageTitlestb_mintrabalhados;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_mintrabalhados"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_mintrabalhados"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_mintrabalhados()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "mintrabID,  	dias_mes,  	hrs_dia,  (hrs_dia *60) as MtDia,  (dias_mes*	hrs_dia*60) as MTmes,  	vigente";
$proto0["m_strFrom"] = "FROM tb_mintrabalhados";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "mintrabID",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "tb_mintrabalhados"
));

$proto6["m_sql"] = "mintrabID";
$proto6["m_srcTableName"] = "tb_mintrabalhados";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "dias_mes",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "tb_mintrabalhados"
));

$proto8["m_sql"] = "dias_mes";
$proto8["m_srcTableName"] = "tb_mintrabalhados";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "hrs_dia",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "tb_mintrabalhados"
));

$proto10["m_sql"] = "hrs_dia";
$proto10["m_srcTableName"] = "tb_mintrabalhados";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(hrs_dia *60)"
));

$proto12["m_sql"] = "(hrs_dia *60)";
$proto12["m_srcTableName"] = "tb_mintrabalhados";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "MtDia";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(dias_mes*	hrs_dia*60)"
));

$proto14["m_sql"] = "(dias_mes*	hrs_dia*60)";
$proto14["m_srcTableName"] = "tb_mintrabalhados";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "MTmes";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "tb_mintrabalhados"
));

$proto16["m_sql"] = "vigente";
$proto16["m_srcTableName"] = "tb_mintrabalhados";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "tb_mintrabalhados";
$proto19["m_srcTableName"] = "tb_mintrabalhados";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "mintrabID";
$proto19["m_columns"][] = "dias_mes";
$proto19["m_columns"][] = "hrs_dia";
$proto19["m_columns"][] = "vigente";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "tb_mintrabalhados";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "tb_mintrabalhados";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_mintrabalhados";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_mintrabalhados = createSqlQuery_tb_mintrabalhados();


	
		;

						

$tdatatb_mintrabalhados[".sqlquery"] = $queryData_tb_mintrabalhados;

$tableEvents["tb_mintrabalhados"] = new eventsBase;
$tdatatb_mintrabalhados[".hasEvents"] = false;

?>